/**
 * @copyright University of Guelph
 */

#ifndef __SORPLACER_H__
#define __SORPLACER_H__ 1

#include "Placement.h"

namespace starplacer {

    /**
     * The entrance point for the Successive Over Relaxation Placer,
     * this does pre-placement, SOR, and legalization,
     * all work in done in the constructor and there is no state.
     * It could be a simple function.
     */
    class SORPlacer {
      public:
        static void Place(Placement* placement);
    };
}

#endif
